[uClinux-dev] New uclinux-dist

Daniel Alomar dalomar at serrasold.com
Thu Jan 5 02:11:00 EST 2006


Hi NZG,

Which Kernel release did you use? With David patches I guess....

Regards,

Daniel Alomar

-----Mensaje original-----
De: uclinux-dev-bounces at uclinux.org [mailto:uclinux-dev-bounces at uclinux.org]
En nombre de NZG
Enviado el: miércoles, 04 de enero de 2006 16:13
Para: uClinux development list
Asunto: Re: [uClinux-dev] New uclinux-dist


I have successfully used pthreads with 2.6, but I had some problems until I 
switched to the newer 3.4 toolchain.

Specifically I've had success with 

Configured with: /usr/local/src/uclinux-tools/gcc-3.4.0/configure 
--target=m68k-uclinux --prefix=/usr/local/m68k-uclinux-tools 
--enable-languages=c,c++ --enable-multilib --enable-target-optspace 
--with-gnu-ld --disable-nls --disable-__cxa_atexit --disable-c99 
--disable-clocale --disable-c-mbchar --disable-long-long 
--enable-threads=posix --enable-cxx-flags=-D_ISOC99_SOURCE -D_BSD_SOURCE
Thread model: posix gcc version 3.4.0

NZG.

On Wednesday 04 January 2006 5:40 am, Daniel Alomar wrote:
> Hi Terje,
>
> I was testing deeply the pthreads under 2.6 (2.6.12 from 
> uClinux-dist). My app didn't work finely, wherefore I compile the 
> pthreads demos included inside uClinux, and despite the thdm app works 
> fine (this was why at first glance I said pthreads works fine), the 
> others included with this (bcdm and
> mtdm) didn't work..... Maybe pthreads aren't correctly implemented inside
> 2.6...? Did you have run the pthreads demo without problem?
>
> Regards,
>
> Daniel Alomar
>
> -----Mensaje original-----
> De: uclinux-dev-bounces at uclinux.org 
> [mailto:uclinux-dev-bounces at uclinux.org] En nombre de Terje Nilsen 
> Enviado el: martes, 03 de enero de 2006 8:31
> Para: 'uClinux development list'
> Asunto: RE: [uClinux-dev] New uclinux-dist
>
>
> "We ware discussing System V IPC in the 2.6.15 kernel..."
>
>
> Well, they got the TINY_SHMEM in now, and that will help some. We do 
> not need to patch the MM/Makefile any more as TINY_SHMEM will be added 
> (As is seems in xconfig)
>
> However The System V IPC was NOT added, so we need to do the patch 
> manually again. Some of the needed patches seem to be there, some is 
> not, and one is a little harder to merge in.
>
> But at the moment I can't even compile the new 2.6.15 kernel for 
> Coldfire configuration, so I can't test the IPC. I'll just wait for a 
> patch to get things to compile smoothly...
>
> PS: I tried to patch my 2.6.14 up to 2.6.15, the process went fine, 
> but I go the same compiler errors: it's ptrace.c that gives me trouble 
> with aprox. 10 errors...
>
>
> Terje Nilsen
> Automasjonsutvikling AS
> NORWAY
>
>
>
> _______________________________________________
> uClinux-dev mailing list
> uClinux-dev at uclinux.org 
> http://mailman.uclinux.org/mailman/listinfo/uclinux-dev
> This message was resent by uclinux-dev at uclinux.org
>
> _______________________________________________
> uClinux-dev mailing list
> uClinux-dev at uclinux.org 
> http://mailman.uclinux.org/mailman/listinfo/uclinux-dev
> This message was resent by uclinux-dev at uclinux.org
_______________________________________________
uClinux-dev mailing list
uClinux-dev at uclinux.org
http://mailman.uclinux.org/mailman/listinfo/uclinux-dev
This message was resent by uclinux-dev at uclinux.org




More information about the uClinux-dev mailing list